Bug 153021 - perl-Bit-Vector 6.4 is broken
perl-Bit-Vector 6.4 is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Bit-Vector (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 17:51 EST by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 18:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-03-31 17:51:01 EST
http://people.redhat.com/wtogami/temp/perl-Bit-Vector-549333-x86_64-thor.perf.redhat.com.log
Failure on x86_64, maybe other archs too.
Comment 1 Ville Skyttä 2005-04-09 06:09:47 EDT
> Warning: prerequisite Carp::Clan 5.3 not found.

Carp::Clan was split into a separate CPAN dist in upstream Bit-Vector 6.4, so
apparently the options are to leave Bit-Vector at 6.3, patch 6.4 to not require
Carp::Clan, or to not patch Bit-Vector 6.4 but include perl-Carp-Clan in FC and
BuildRequire it in Bit-Vector.

IIRC Jose mentioned some other module updates would require Carp::Clan too?  If
this is the case and if it's still possible for FC4, I'd go for the Carp-Clan
inclusion option.
Comment 2 Warren Togami 2005-04-11 18:33:03 EDT
Thanks Ville and jpo.  Fixed in rawhide with jpo's packages.

Note You need to log in before you can comment on or make changes to this bug.